declare enum EEnvs {
    production = "production",
    test = "test",
    development = "development"
}
declare type TEnvs = Record<EEnvs | string, string>;
export declare const GENERAL_API_HOST: TEnvs;
export declare const WECHAT_API_HOST: TEnvs;
export declare const HTTP_SECRET: TEnvs;
export declare const WECHAT_APPLETS_URL: TEnvs;
declare type TWechat = Record<'test' | 'production' | string, {
    app_key: string;
    app_secret: string;
}>;
export declare const WECHAT_KEY: TWechat;
export declare const WECHAT_ID: Record<'development' | 'test' | 'production' | string, {
    appId: string;
    originId: string;
}>;
declare type TAlipay = Record<'test' | 'production' | string, {
    access_key: string;
    access_secret: string;
}>;
export declare const ALIPAY_KEY: TAlipay;
export declare const QRCODE_LINK: {
    [key: string]: string;
};
export {};
