/**
 * 手机号码 验证码 登录
 * @param mobileNumber 手机号码
 * @param verifyCode 验证码
 * @param countryCode 国家编码
 * @returns 登录状态 promise<{isNewUser: boolean}>
 */
export declare const API_login_mobile: (mobileNumber: string, verifyCode: string, countryCode: string) => Promise<{
    isNewUser: boolean;
    session: string;
}>;
/**
 * 手机号码 密码 登录
 * @param account 手机号码
 * @param password 验证码
 * @param countryCode 国家编码
 * @returns 是否登录成功 promise<boolean>
 */
export declare const API_login_account: (account: string, password: string, countryCode: string) => Promise<{
    session: string;
}>;
/**
 * 一键登录登录
 * @param token 运营商返回的token
 * @returns 登录状态 promise<{isNewUser: boolean}>
 */
export declare const API_login_oneKey: (token: string) => Promise<{
    isNewUser: boolean;
    mobile: string;
    session: string;
}>;
/**
 * 发送验证码
 * @param mobileNumber 手机号码
 * @param countryCode 国家编码
 * @returns 是否发送成功 promise<boolean>
 */
export declare const API_send_verifycode: (mobileNumber: string, countryCode: string) => Promise<boolean>;
/**
 * 创建一个用户session
 * @returns [string] 用户session
 */
export declare const API_get_newsession: () => Promise<string>;
