declare type TUrl = 'wechat' | 'normal';
export interface IRequestParam {
    header?: {
        [props: string]: any;
    };
    method: 'get' | 'post' | 'put' | 'delete';
    url: string;
    urlType?: TUrl;
    ajaxData: object | null;
}
declare abstract class requestBasic<T> {
    protected params: IRequestParam;
    request: () => Promise<T>;
}
export declare class httpRequest<T> extends requestBasic<T> {
    constructor(params: IRequestParam);
    request: () => Promise<T>;
}
export default httpRequest;
